/**
 * @Description: 公共js
 * @Author: 空白格
 * @Date: 2022-08-29 16:05:17
 * @LastEditors: 空白格
 * @LastEditTime: 2022-08-29 17:27:20
 * @FilePath: \veterans_client_web\src\utils\index.js
 * @Copyright: Copyright (c) 2016~2022 by 空白格, All Rights Reserved.
 */
import { addPageHits } from '@/api'
import store from '@/store'
import router from '@/router'
import { MessageBox } from 'element-ui'
/**
 * 跳转页面需要验证状态
 * @param { String } path  需要跳转路径
 * @param { Object } query  跳转携带参数
 * @param { Boolean } isHits 是否进行浏览量统计
 * @param { Object } params 浏览量统计参数
 * @param { Boolean } isAudit 是否验证用户审核状态
 */
export function jumpPageAuth(path, query, isHits = true, params, isAudit = true) {
  const { auditStatus } = store.state.user.userInfo
  if (isAudit) {
    if (store.state.user.isLogin) {
      if (auditStatus === 1 || auditStatus === 3 || auditStatus === 9) {
        let msg =
          auditStatus === 1 ? '未通过' : auditStatus === 3 ? '已撤销' : '未提交'
        MessageBox.confirm(`您的认证${msg},是否跳转认证页面进行认证`, '提示', {
          confirmButtonText: '确定',
          cancelButtonText: '取消',
          type: 'warning'
        }).then(() => {
          router.push({ path: '/applyeducationauth' })
        })
      } else if (auditStatus === 0) {
        MessageBox.alert('您的认证正在审核中,请等待验证通过才可以访问!')
      } else if (auditStatus === 2) {
        if (isHits) {
          // addPageHits(params).then((res) => {
          //   if (res.code === 200) {
          //     router.push({ path, query })
          //   }
          // })
          router.push({ path, query })
        } else {
          router.push({ path, query })
        }
      }
    } else {
      MessageBox.confirm(`您还未进行登录, 是否跳转登录页面登录?`, '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        type: 'warning'
      })
        .then(() => {
          router.push({ path: '/login' })
        })
        .catch(() => {})
    }
  } else {
    if (isHits) {
      // addPageHits(params).then((res) => {
      //   if (res.code === 200) {
      //     router.push({ path, query })
      //   }
      // })
      router.push({ path, query })
    } else {
      router.push({ path, query })
    }
  }
}
